Conflitto tra kactivities-frameworks e libkactivities-frameworks

Domande inerenti al gestore dei pacchetti di Arch Linux
Rispondi
Avatar utente
quellen
Arciere Provetto
Messaggi: 397
Iscritto il: 20 maggio 2014, 14:24
Architettura: x86 (32Bit)

Conflitto tra kactivities-frameworks e libkactivities-frameworks

Messaggio da quellen » 4 giugno 2014, 20:53

Ciao,
ho provato a battere un "pacman -Syu" (solo per curiosità, non voglio aggiornare), e mi da questo errore:

Codice: Seleziona tutto

# pacman -Syu
:: Sincronizzazione dei database in corso...
 core è aggiornato
 extra è aggiornato
 community è aggiornato
:: Aggiornamento del sistema in corso...
:: Vuoi sostituire libkactivities-frameworks con extra/kactivities-frameworks? [S/n] n
risoluzione delle dipendenze in corso...
:: Ci sono 2 provider disponibili per phonon-qt5-backend:
:: Repository extra
   1) phonon-qt5-gstreamer  2) phonon-qt5-vlc

Digita un numero (default=1): 1
ricerca dei conflitti in corso...
errore: sono stati rilevati dei conflitti irrisolvibili tra i pacchetti
errore: impossibile eseguire l'operazione richiesta (dipendenze in conflitto)
:: kactivities-frameworks e libkactivities-frameworks vanno in conflitto
se sostituisco "libkactivities-frameworks" con "extra/kactivities-frameworks" rischio di avere problemi?
io ho installato sia LXDE che KDE.

Avatar utente
KleinerMann
Moderatore
Messaggi: 3784
Iscritto il: 8 gennaio 2011, 20:59
Architettura: x86_64 (64bit)

Re: Conflitto tra kactivities-frameworks e libkactivities-frameworks

Messaggio da KleinerMann » 4 giugno 2014, 21:04

quellen ha scritto:Ciao,
ho provato a battere un "pacman -Syu" (solo per curiosità, non voglio aggiornare), e mi da questo errore:
Come sarebbe che non vuoi aggiornare? Che senso ha usare Arch e non aggiornare? :?:
quellen ha scritto: se sostituisco "libkactivities-frameworks" con "extra/kactivities-frameworks" rischio di avere problemi?
io ho installato sia LXDE che KDE.
No, probabilmente è solo cambiato il nome del pacchetto....
Arch Linux - AwesomeWM

Avatar utente
quellen
Arciere Provetto
Messaggi: 397
Iscritto il: 20 maggio 2014, 14:24
Architettura: x86 (32Bit)

Re: Conflitto tra kactivities-frameworks e libkactivities-frameworks

Messaggio da quellen » 5 giugno 2014, 19:37

ho provato:

Codice: Seleziona tutto

# pacman -S kactivities-frameworks
risoluzione delle dipendenze in corso...
:: Ci sono 2 provider disponibili per phonon-qt5-backend:
:: Repository extra
   1) phonon-qt5-gstreamer  2) phonon-qt5-vlc

Digita un numero (default=1): 1
ricerca dei conflitti in corso...
:: kactivities-frameworks e libkactivities-frameworks vanno in conflitto. Vuoi rimuovere libkactivities-frameworks? [s/N] s

Pacchetti (29): attica-qt5-4.100.0-1  karchive-4.100.0-1  kauth-4.100.0-1
                kbookmarks-4.100.0-1  kcodecs-4.100.0-1  kcompletion-4.100.0-1
                kconfigwidgets-4.100.0-1  kcrash-4.100.0-1
                kglobalaccel-4.100.0-1  kguiaddons-4.100.0-1
                kiconthemes-4.100.0-1  kio-4.100.0-1  kitemviews-4.100.0-1
                kjobwidgets-4.100.0-1  knotifications-4.100.0-1
                kservice-4.100.0-1  ktextwidgets-4.100.0-1  kwallet-4.100.0-1
                kwidgetsaddons-4.100.0-1  kxmlgui-4.100.0-1
                libdbusmenu-qt5-0.9.3+14.04.20140314-1
                libkactivities-frameworks-4.100.0-1 [rimozione]
                phonon-qt5-4.7.1-2  phonon-qt5-gstreamer-4.7.1-1
                polkit-qt5-0.103.0.bac771e-1  qt5-svg-5.3.0-3  solid-4.100.0-1
                sonnet-4.100.0-1  kactivities-frameworks-4.100.0-2

Dimensione totale dei pacchetti da scaricare:    9,26 MiB
Dimensione totale dei pacchetti da installare:   45,67 MiB
Dimensione netta dell'aggiornamento:             44,71 MiB

:: Vuoi procedere con l'installazione? [S/n] n
io non voglio tutta quella robaccia inutile.

me le installa anche con l'aggiornamento completo:

Codice: Seleziona tutto

# pacman -Syu
:: Sincronizzazione dei database in corso...
 core                     110,7 KiB   586K/s 00:00 [######################] 100%
 extra                   1680,7 KiB   874K/s 00:02 [######################] 100%
 community                  2,2 MiB   881K/s 00:03 [######################] 100%
:: Aggiornamento del sistema in corso...
attenzione: chromium: l'aggiornamento del pacchetto è stato ignorato (34.0.1847.116-1 => 35.0.1916.114-1)
:: Vuoi sostituire libkactivities-frameworks con extra/kactivities-frameworks? [S/n] s
risoluzione delle dipendenze in corso...
:: Ci sono 2 provider disponibili per phonon-qt5-backend:
:: Repository extra
   1) phonon-qt5-gstreamer  2) phonon-qt5-vlc

Digita un numero (default=1): 1
ricerca dei conflitti in corso...

Pacchetti (105): attica-qt5-4.100.0-1  bash-4.3.018-1  cairo-1.12.16-2
                 calibre-1.39.0-1  cifs-utils-6.3-1  curl-7.37.0-1
                 e2fsprogs-1.42.10-1  ffmpeg-1:2.2.3-1  gcc-4.9.0-3
                 gcc-libs-4.9.0-3  gdk-pixbuf2-2.30.8-1  git-2.0.0-1
                 gnome-icon-theme-3.12.0-2  gnome-icon-theme-symbolic-3.12.0-2
                 gnupg-2.0.23-1  gnutls-3.3.4-1  gpgme-1.5.0-1
                 grub-1:2.02.beta2-4  imagemagick-6.8.9.1-3  inputproto-2.3.1-1
                 json-c-0.12-2  json-glib-1.0.2-1
                 kactivities-frameworks-4.100.0-2  karchive-4.100.0-1
                 kauth-4.100.0-1  kbookmarks-4.100.0-1  kcodecs-4.100.0-1
                 kcompletion-4.100.0-1  kconfig-4.100.0-1
                 kconfigwidgets-4.100.0-1  kcoreaddons-4.100.0-1
                 kcrash-4.100.0-1  kdbusaddons-4.100.0-1
                 kglobalaccel-4.100.0-1  kguiaddons-4.100.0-1  ki18n-4.100.0-1
                 kiconthemes-4.100.0-1  kio-4.100.0-1  kitemviews-4.100.0-1
                 kjobwidgets-4.100.0-1  knotifications-4.100.0-1
                 kservice-4.100.0-1  ktextwidgets-4.100.0-1  kwallet-4.100.0-1
                 kwidgetsaddons-4.100.0-1  kwindowsystem-4.100.0-1
                 kxmlgui-4.100.0-1  libatasmart-0.19-3
                 libdbusmenu-qt5-0.9.3+14.04.20140314-1
                 libkactivities-frameworks-4.100.0-1 [rimozione]
                 libproxy-0.4.11-3  libreoffice-it-4.2.4-2  libsystemd-213-5
                 libtasn1-3.6-1  libutil-linux-2.24.2-1  libwbclient-4.1.8-1
                 libx11-1.6.2-2  libx264-1:142.20140311-4  libxcursor-1.1.14-2
                 libxkbcommon-x11-0.4.2-1  linux-3.14.5-1  man-pages-3.68-1
                 mpfr-3.1.2.p8-1  net-snmp-5.7.2.1-3  openssl-1.0.1.h-1
                 pacman-mirrorlist-20140531-1  perl-5.20.0-2
                 perl-html-parser-3.71-3  perl-xml-parser-2.41-5
                 phonon-qt5-4.7.1-2  phonon-qt5-gstreamer-4.7.1-1
                 polkit-qt5-0.103.0.bac771e-1  poppler-0.26.1-1
                 poppler-glib-0.26.1-1  poppler-qt4-0.26.1-1
                 pygobject-devel-3.12.2-1  python2-2.7.7-1
                 python2-gobject-3.12.2-1  python2-setuptools-4.0.1-1
                 qt5-base-5.3.0-3  qt5-declarative-5.3.0-3
                 qt5-location-5.3.0-3  qt5-script-5.3.0-3  qt5-sensors-5.3.0-3
                 qt5-svg-5.3.0-3  qt5-webkit-5.3.0-3  qt5-x11extras-5.3.0-3
                 qt5-xmlpatterns-5.3.0-3  qtchooser-41-1  readline-6.3.006-1
                 shared-mime-info-1.3-1  smbclient-4.1.8-1  solid-4.100.0-1
                 sonnet-4.100.0-1  systemd-213-5  systemd-sysvcompat-213-5
                 tzdata-2014d-1  util-linux-2.24.2-1  x264-1:142.20140311-4
                 xapian-core-1:1.2.17-2  xchat-2.8.8-14  xfconf-4.10.0-4
                 xkeyboard-config-2.12-1  xmms2-0.8DrO_o-28  xvidcore-1.3.3-1

Dimensione totale dei pacchetti da scaricare:    227,53 MiB
Dimensione totale dei pacchetti da installare:   790,79 MiB
Dimensione netta dell'aggiornamento:             81,57 MiB

:: Vuoi procedere con l'installazione? [S/n] n

Avatar utente
KleinerMann
Moderatore
Messaggi: 3784
Iscritto il: 8 gennaio 2011, 20:59
Architettura: x86_64 (64bit)

Re: Conflitto tra kactivities-frameworks e libkactivities-frameworks

Messaggio da KleinerMann » 5 giugno 2014, 20:42

eh ci credo, sono le dipendenze aggiornate di quel pacchetto.

Quello che tu chiami "robaccia inutile" è ciò che manda avanti kde, se non lo vuoi puoi disinstallarlo e tenere solo LXDE.
Arch Linux - AwesomeWM

VenereNera
Little John
Messaggi: 952
Iscritto il: 20 dicembre 2012, 19:50

Re: Conflitto tra kactivities-frameworks e libkactivities-frameworks

Messaggio da VenereNera » 5 giugno 2014, 21:10

Che poi 81 MiB di aggiornamento non sono neanche tanti. :p

Avatar utente
quellen
Arciere Provetto
Messaggi: 397
Iscritto il: 20 maggio 2014, 14:24
Architettura: x86 (32Bit)

Re: Conflitto tra kactivities-frameworks e libkactivities-frameworks

Messaggio da quellen » 5 giugno 2014, 22:31

il problema è che non voglio tutti quei programmi aggiuntivi tipo karchive, kcodecs, kwallet, kcrash, knotifications, kbookmarks, kcacchio ecc...

ho provato a cancellare il solo "libkactivities-frameworks" ma non me lo fa fare:

Codice: Seleziona tutto

# pacman -Rs libkactivities-frameworks
controllo delle dipendenze in corso...
errore: impossibile eseguire l'operazione richiesta (impossibile soddisfare le dipendenze)
:: kactivities-frameworks: richiede libkactivities-frameworks

# pacman -R libkactivities-frameworks
controllo delle dipendenze in corso...
errore: impossibile eseguire l'operazione richiesta (impossibile soddisfare le dipendenze)
:: kactivities-frameworks: richiede libkactivities-frameworks
se vi viene in mente qualche altro modo per risolvere il conflitto segnalatemelo, nel frattempo vi rinnovo i miei più Cordiali Saluti. ;-)

Avatar utente
KleinerMann
Moderatore
Messaggi: 3784
Iscritto il: 8 gennaio 2011, 20:59
Architettura: x86_64 (64bit)

Re: Conflitto tra kactivities-frameworks e libkactivities-frameworks

Messaggio da KleinerMann » 6 giugno 2014, 11:31

Se li hai evidentemente sono dipendenze di qualcosa che ti serve. Controlla con

Codice: Seleziona tutto

$ pacman -Qi <nome_pacchetto>
Arch Linux - AwesomeWM

Avatar utente
quellen
Arciere Provetto
Messaggi: 397
Iscritto il: 20 maggio 2014, 14:24
Architettura: x86 (32Bit)

Re: Conflitto tra kactivities-frameworks e libkactivities-frameworks

Messaggio da quellen » 6 giugno 2014, 14:57

Codice: Seleziona tutto

$ pacman -Qi libkactivities-frameworks
Nome           : libkactivities-frameworks
Versione       : 4.100.0-1
Descrizione    : Core components for the KDE's Activities
Architettura   : i686
URL            : https://projects.kde.org/projects/kde/kdelibs/kactivities
Licenze        : LGPL
Gruppi         : Nessuno
Fornisce       : Nessuno
Dipende da     : kconfig  qt5-declarative  ki18n  kcoreaddons  kdbusaddons
Dip. opzionali : Nessuno
Richiesto da   : kactivities-frameworks
Opzionale per : Nessuno
Conflitti con  : Nessuno
Sostituisce    : Nessuno
Kb richiesti : 742,00 KiB
Autore         : Andrea Scarpino <andrea@archlinux.org>
Creato il      : mer 04 giu 2014 09:19:23 CEST
Installato il  : mer 04 giu 2014 21:11:36 CEST
Motivo         : Installato come dipendenza di un altro pacchetto
Script install : No
Convalidato da : Firma

Codice: Seleziona tutto

$ pacman -Qi kactivities-frameworks
Nome           : kactivities-frameworks
Versione       : 4.99.0.c67df41-2
Descrizione    : The KActivity Manager Daemon
Architettura   : i686
URL            : https://projects.kde.org/projects/kde/kdelibs/kactivities
Licenze        : LGPL
Gruppi         : kf5
Fornisce       : kactivities
Dipende da     : kwindowsystem  libkactivities-frameworks
Dip. opzionali : Nessuno
Richiesto da   : kdebase-runtime
Opzionale per : Nessuno
Conflitti con  : kactivities
Sostituisce    : Nessuno
Kb richiesti : 243,00 KiB
Autore         : Andrea Scarpino <andrea@archlinux.org>
Creato il      : dom 18 mag 2014 20:59:00 CEST
Installato il  : lun 26 mag 2014 14:16:31 CEST
Motivo         : Installato come dipendenza di un altro pacchetto
Script install : No
Convalidato da : Firma

da quel che ho capito libkactivities-frameworks (che occupa 740KB) viene usato solo da kactivities-frameworks. però se lo cancello vengono installati altri 29 pacchetti da 45MB. O_O

ma secondo voi, dopo l'aggiornamento, potrò eliminare alcuni di questi 29 pacchetti installati (tipo quelli che iniziano per "k")?

EDIT:
alal fine ho aggiornato, non è possibile rimuovere nessuno dei 29 pacchetti installati.

Avatar utente
KleinerMann
Moderatore
Messaggi: 3784
Iscritto il: 8 gennaio 2011, 20:59
Architettura: x86_64 (64bit)

Re: Conflitto tra kactivities-frameworks e libkactivities-frameworks

Messaggio da KleinerMann » 6 giugno 2014, 18:48

quellen ha scritto:EDIT:
alal fine ho aggiornato, non è possibile rimuovere nessuno dei 29 pacchetti installati.
Non è che i dev si divertono a mettere dipendenze a caso... se ci sono un motivo c'è. Poi, puoi sempre usare ABS e mettere mano ai PKGBUILD e compilarti i pacchetti come ti pare e piace, però fallo solo se sai cosa stai facendo...
Arch Linux - AwesomeWM

Rispondi